/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgModule } from '@angular/core';
import { IconsService } from '@progress/kendo-angular-icons';
import { KENDO_GRID_SHARED } from './directives';
import { DraggableModule } from '@progress/kendo-angular-common';
import * as i0 from "@angular/core";
import * as i1 from "./columns/column.component";
import * as i2 from "./columns/column-group.component";
import * as i3 from "./navigation/logical-cell.directive";
import * as i4 from "./navigation/logical-row.directive";
import * as i5 from "./navigation/focusable.directive";
import * as i6 from "./rendering/footer/footer-template.directive";
import * as i7 from "./rendering/common/col-group.component";
import * as i8 from "./layout/resizable.directive";
import * as i9 from "@progress/kendo-angular-common";
import * as i10 from "./rendering/common/field-accessor.pipe";
import * as i11 from "./rendering/details/detail-template.directive";
import * as i12 from "./columns/span-column.component";
import * as i13 from "./rendering/common/loading.component";
import * as i14 from "./rendering/grid-table.directive";
/**
 * @hidden
 *
 * This module is deprecated and will be removed in a future major version release.
 */
export class SharedModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SharedModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SharedModule, imports: [i1.ColumnComponent, i2.ColumnGroupComponent, i3.LogicalCellDirective, i4.LogicalRowDirective, i5.FocusableDirective, i6.FooterTemplateDirective, i7.ColGroupComponent, i8.ResizableContainerDirective, i9.TemplateContextDirective, i10.FieldAccessorPipe, i11.DetailTemplateDirective, i12.SpanColumnComponent, i13.LoadingComponent, i14.GridTableDirective], exports: [i1.ColumnComponent, i2.ColumnGroupComponent, i3.LogicalCellDirective, i4.LogicalRowDirective, i5.FocusableDirective, i6.FooterTemplateDirective, i7.ColGroupComponent, i8.ResizableContainerDirective, i9.TemplateContextDirective, i10.FieldAccessorPipe, i11.DetailTemplateDirective, i12.SpanColumnComponent, i13.LoadingComponent, i14.GridTableDirective, DraggableModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SharedModule, providers: [IconsService], imports: [DraggableModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SharedModule, decorators: [{
            type: NgModule,
            args: [{
                    exports: [...KENDO_GRID_SHARED, DraggableModule],
                    imports: [...KENDO_GRID_SHARED],
                    providers: [IconsService]
                }]
        }] });
