/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChangeDetectorRef } from '@angular/core';
import { PagerElementComponent } from './pager-element.component';
import { PagerContextService, PagerContextChanges } from "./pager-context.service";
import { ContextService } from '../common/provider.service';
import * as i0 from "@angular/core";
/**
 * Displays information about the current page and the total number of records ([see example](slug:pager_template_grid#toc-using-built-in-pager-components)).
 */
export declare class PagerInfoComponent extends PagerElementComponent {
    protected pagerContext: PagerContextService;
    /**
     * @hidden
     *
     * @readonly
     * @type {number}
     * @memberOf PagerInfoComponent
     */
    get maxItems(): number;
    /**
     * @hidden
     *
     * @readonly
     * @type {number}
     * @memberOf PagerInfoComponent
     */
    get currentPageText(): number;
    /**
     * @hidden
     *
     * @readonly
     * @type {boolean}
     * @memberOf PagerInfoComponent
     */
    get classes(): boolean;
    constructor(ctx: ContextService, cd: ChangeDetectorRef, pagerContext: PagerContextService);
    protected onChanges({ total, skip, pageSize }: PagerContextChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PagerInfoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PagerInfoComponent, "kendo-pager-info", never, {}, {}, never, never, true, never>;
}
